Loading...
Searching...
No Matches
opencc::Optional< T > Class Template Reference
OpenCC C++ Comprehensive API

A class that wraps type T into a nullable type. More...

`#include <Optional.hpp>`

## Public Member Functions

| Optional (T actual)
| The constructor of Optional.
bool | IsNull () const
| Returns true if the instance is null.
const T & | Get () const
| Returns the containing data of the instance.

## Static Public Member Functions

static Optional< T > | Null ()
| Constructs a null instance.

## Detailed Description

template<typename T>
class opencc::Optional< T >

A class that wraps type T into a nullable type.

The documentation for this class was generated from the following file:

- Optional.hpp